## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate rayon-core

Name:           rust-rayon-core
Version:        1.12.0
Release:        %autorelease
Summary:        Core APIs for Rayon

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/rayon-core
Source:         %{crates_source}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Core APIs for Rayon.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Sep 25 2023 Fabio Valentini <decathorpe@gmail.com> - 1.12.0-1
- Update to version 1.12.0; Fixes RHBZ#2239946

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.11.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 07 2023 Fabio Valentini <decathorpe@gmail.com> - 1.11.0-1
- Update to version 1.11.0; Fixes RHBZ#2175354

* Thu Jan 26 2023 Fabio Valentini <decathorpe@gmail.com> - 1.10.2-1
- Update to version 1.10.2; Fixes RHBZ#2163027

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Dec 11 2022 Fabio Valentini <decathorpe@gmail.com> - 1.10.1-1
- Update to version 1.10.1; Fixes RHBZ#2144086

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed May 25 2022 Fabio Valentini <decathorpe@gmail.com> - 1.9.3-1
- Update to version 1.9.3; Fixes RHBZ#2075356

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.9.1-1
- Update to version 1.9.1.
- Fixes RHBZ#1961864

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 12 2020 Fabio Valentini <decathorpe@gmail.com> - 1.9.0-1
- Update to version 1.9.0.
- Fixes RHBZ#1890350

* Sun Sep 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.8.1-1
- Update to version 1.8.1.

* Tue Aug 25 2020 Josh Stone <jistone@redhat.com> - 1.8.0-1
- Update to 1.8.0

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jun 15 2020 Josh Stone <jistone@redhat.com> - 1.7.1-1
- Update to 1.7.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Dec 27 08:26:37 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.7.0-1
- Update to 1.7.0

* Thu Nov 28 11:22:54 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.1-1
- Update to 1.6.1

* Sun Sep 01 17:11:50 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 20 09:41:55 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.0-2
- Regenerate

* Thu Jun 13 2019 Josh Stone <jistone@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sun Oct 28 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.1-2
- Adapt to new packaging

* Tue Jul 17 2018 Josh Stone <jistone@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-2
- Bump crossbeam-deque to 0.4

* Thu Feb 15 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-5
- Rebuild for rust-packaging v5

* Sun Dec 31 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-4
- Bump rand to 0.4

* Sun Dec 03 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-3
- Fix end-of-line

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-2
- Bump lazy_static to 1

* Tue Nov 14 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu Jun 15 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.2.0-1
- Initial package

